Bug 199328 - Add test expectations and baselines for Catalina
Summary: Add test expectations and baselines for Catalina
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryan Haddad
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-28 11:32 PDT by Ryan Haddad
Modified: 2019-07-08 12:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (3.03 MB, patch)
2019-06-28 16:22 PDT, Ryan Haddad
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (608.85 KB, application/zip)
2019-06-28 17:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (3.61 MB, application/zip)
2019-06-28 17:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (3.87 MB, application/zip)
2019-06-28 18:14 PDT, Build Bot
no flags Details
Patch (3.06 MB, patch)
2019-07-05 09:01 PDT, Ryan Haddad
no flags Details | Formatted Diff | Diff
Patch (3.06 MB, patch)
2019-07-05 10:32 PDT, Ryan Haddad
no flags Details | Formatted Diff | Diff
Patch (3.06 MB, patch)
2019-07-08 09:49 PDT, Ryan Haddad
jbedard: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2019-06-28 11:32:06 PDT
Add test expectations and baselines for Catalina
Comment 1 Radar WebKit Bug Importer 2019-06-28 11:33:48 PDT
<rdar://problem/52342938>
Comment 2 Ryan Haddad 2019-06-28 16:22:22 PDT
Created attachment 373160 [details]
Patch
Comment 3 Build Bot 2019-06-28 17:15:23 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-06-28 17:15:24 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-06-28 17:41:05 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-06-28 17:41:06 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-06-28 18:14:55 PDT Comment hidden (obsolete)
Comment 8 Build Bot 2019-06-28 18:14:57 PDT Comment hidden (obsolete)
Comment 9 Ryan Haddad 2019-07-05 09:01:29 PDT
Created attachment 373498 [details]
Patch
Comment 10 Ryan Haddad 2019-07-05 10:32:06 PDT
Created attachment 373510 [details]
Patch
Comment 11 Jonathan Bedard 2019-07-08 09:23:02 PDT
Comment on attachment 373510 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373510&action=review

> LayoutTests/ChangeLog:10
> +        [ truncated file list]

Can we note, high-level, what we're doing here? Basically, something like:
* platfrom/mac/*: Adding Catalina expectations
* platform/mac-mojave/*: Moving Mojave expectations from baseline.
Comment 12 Ryan Haddad 2019-07-08 09:24:10 PDT
(In reply to Jonathan Bedard from comment #11)
> Comment on attachment 373510 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=373510&action=review
> 
> > LayoutTests/ChangeLog:10
> > +        [ truncated file list]
> 
> Can we note, high-level, what we're doing here? Basically, something like:
> * platfrom/mac/*: Adding Catalina expectations
> * platform/mac-mojave/*: Moving Mojave expectations from baseline.
Certainly.
Comment 13 Ryan Haddad 2019-07-08 09:49:57 PDT
Created attachment 373637 [details]
Patch
Comment 14 WebKit Commit Bot 2019-07-08 12:06:02 PDT
Comment on attachment 373637 [details]
Patch

Rejecting attachment 373637 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 373637, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
ing/mac/attributed-string/attribute-string-for-copy-with-color-filter-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-1-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-2-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-3-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-4-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-5-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-with-style-1-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-across-shadow-boundaries-with-style-2-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-for-typing-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/attributed-string-for-typing-with-color-filter-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/basic-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/comment-cdata-section-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/font-size-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/font-style-variant-effect-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/font-weight-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/letter-spacing-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/text-decorations-expected.txt
	A	LayoutTests/platform/mac-wk1/editing/mac/attributed-string/vertical-align-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/fetch-after-navigating-iframe-in-cross-origin-page-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/fetch-after-top-level-cross-origin-redirect-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/fetch-after-top-level-navigation-from-cross-origin-page-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/fetch-after-top-level-navigation-initiated-from-iframe-in-cross-origin-page-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/fetch-in-cross-origin-service-worker-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/popup-cross-site-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/popup-cross-site-post-expected.txt
	A	LayoutTests/platform/mac/http/tests/cookies/same-site/popup-same-site-via-cross-site-redirect-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/hkdf.worker-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/fetch/api/basic/header-value-combining.any-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/fetch/api/basic/header-value-combining.any.worker-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/fetch/content-type/script.window-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/fetch/nosniff/parsing-nosniff.window-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/xhr/getallresponseheaders-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/xhr/getresponseheader.any-expected.txt
	A	LayoutTests/platform/mac/imported/w3c/web-platform-tests/xhr/getresponseheader.any.worker-expected.txt
	M	LayoutTests/ChangeLog

ERROR from SVN:
Item is out of date: File '/trunk/LayoutTests/ChangeLog' is out of date
W: 459864c77321aa8baeb117105395423ab19fd156 and refs/remotes/origin/master differ, using rebase:
:040000 040000 545b0693d3d3374e11e722f4cf841154853478ea 6a8e189f93d0b84fb40792eac36db001d1deffdc M	LayoutTests
:040000 040000 fd38d8c1567667d05dd80dd226158703ff184ade 18e16b0272e6a7faea237adf44e8a37a2b4d8ef1 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
From https://git.webkit.org/git/WebKit
   e70c0eaf3df..62f175029bf  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 247220 = e70c0eaf3df04cff9141cd42855d34c08df79bb4
r247222 = 62f175029bf005ff6b82ccbc7c176ce6d1da5a5f
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Total errors found: 0 in 3 files

Full output: https://webkit-queues.webkit.org/results/12691595
Comment 15 Ryan Haddad 2019-07-08 12:12:37 PDT
Landed in https://trac.webkit.org/changeset/247226/webkit